Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class DockableLayout

    java.lang.Object
      org.gjt.sp.jedit.gui.DockableLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.awt.LayoutManager2

    public class DockableLayout

extends java.lang.Object
implements java.awt.LayoutManager2

Constructor Summary
`DockableLayout()`

Method Summary
`void` | `addLayoutComponent(java.awt.Component comp, java.lang.Object cons)`
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`float` | `getLayoutAlignmentX(java.awt.Container target)`
`float` | `getLayoutAlignmentY(java.awt.Container target)`
`void` | `invalidateLayout(java.awt.Container target)`
`boolean` | `isAlternateLayout()` jEdit View option: wide horizontal docking areas versus tall vertical docking areas
`void` | `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `removeLayoutComponent(java.awt.Component comp)`
`void` | `setAlternateLayout(boolean alternateLayout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockableLayout

    public DockableLayout()

Method Detail

### isAlternateLayout

    public boolean isAlternateLayout()

  jEdit View option: wide horizontal docking areas versus tall vertical docking areas

  Returns:
    true if using the "alternate layout"

### setAlternateLayout

    public void setAlternateLayout(boolean alternateLayout)

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object cons)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager2`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container parent)

  Specified by:
    `maximumLayoutSize` in interface `java.awt.LayoutManager2`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentX` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentY` in interface `java.awt.LayoutManager2`

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Specified by:
    `invalidateLayout` in interface `java.awt.LayoutManager2`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD